This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 762464 - (GLUSTER-732) Crash with fileop
Crash with fileop
Status: CLOSED DUPLICATE of bug 762489
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
nfs-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-17 09:29 EDT by Anush Shetty
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2010-03-17 09:29:18 EDT
Setup: Distribute+Replicate

While running fileop, the crash occurred. No core was found.
Log:

argp 1
backtrace 1
dlfcn 1
fdatasync 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 3.0.0git
/lib64/libc.so.6[0x2aaaab382280]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/nfs/server.so(nfs3_call_state_wipe+0x22)[0x2aaaac390e22]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/nfs/server.so(nfs3svc_remove_cbk+0xb4)[0x2aaaac392664]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/nfs/server.so(nfs_inode_unlink_cbk+0x8e)[0x2aaaac38a1ce]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/nfs/server.so(nfs_fop_unlink_cbk+0x79)[0x2aaaac3853d9]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/cluster/replicate.so(afr_unlink_unwind+0xd2)[0x2aaaac146da2]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/cluster/replicate.so(afr_unlink_wind_cbk+0xac)[0x2aaaac147bbc]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/cluster/replicate.so(afr_unlink_unwind+0xd2)[0x2aaaac146da2]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/cluster/replicate.so(afr_unlink_wind_cbk+0xac)[0x2aaaac147bbc]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/protocol/client.so(client_unlink_cbk+0x289)[0x2aaaabf2a609]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/protocol/client.so(protocol_client_pollin+0xca)[0x2aaaabf170ba]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/xlator/protocol/client.so(notify+0x212)[0x2aaaabf1e4d2]
/opt/glusterfs/gnfs/lib/libglusterfs.so.0(xlator_notify+0x43)[0x2aaaaacdb1c3]
/opt/glusterfs/gnfs/lib/glusterfs/3.0.0git/transport/socket.so(socket_event_handler+0xd3)[0x2aaaac7ca073]
/opt/glusterfs/gnfs/lib/libglusterfs.so.0[0x2aaaaacf4e25]
/opt/glusterfs/gnfs/sbin/glusterfs(main+0x9e8)[0x404118]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x2aaaab36f974]
/opt/glusterfs/gnfs/sbin/glusterfs[0x4026b9]
Comment 1 Shehjar Tikoo 2010-03-17 22:29:24 EDT
I need the volfile, the core and the command line args that you used for fileop.
Comment 2 Shehjar Tikoo 2010-04-20 23:00:25 EDT

*** This bug has been marked as a duplicate of bug 757 ***

Note You need to log in before you can comment on or make changes to this bug.